diff -r -C 2 -P ../AmiPhone_1.92/gst.c ./gst.c
*** ../AmiPhone_1.92/gst.c	Thu Jan  1 01:00:00 1970
--- ./gst.c	Mon Feb 16 23:29:06 1998
***************
*** 0 ****
--- 1,351 ----
+ #include <stdio.h>
+ #include <stdlib.h> 
+ #include <string.h>
+ #include <time.h>
+ #include <devices/timer.h>
+ #include <devices/ahi.h>
+ #include <dos/dos.h>
+ #include <dos/dostags.h>
+ #include <dos/dosextens.h>
+ #include <intuition/intuition.h>
+ #include <intuition/intuitionbase.h>
+ #include <intuition/gadgetclass.h>
+ #include <intuition/screens.h>
+ #include <libraries/gadtools.h>
+ #include <exec/ports.h>
+ #include <exec/memory.h>
+ #include <exec/types.h>
+ #include <exec/tasks.h>
+ #include <exec/io.h>
+ #include <exec/libraries.h>
+ #include <libraries/dos.h>			/* contains RETURN_OK, RETURN_WARN #def's */
+ #include <graphics/gfxbase.h>
+ #include <libraries/gadtools.h>
+ #include <sys/types.h>
+ #include <workbench/workbench.h>
+ #include <workbench/startup.h>
+ #include <resources/misc.h>
+ #include <graphics/text.h>
+ #include <errno.h>
+ #include <inetd.h>
+ #include <sys/errno.h>
+ #include <clib/alib_protos.h>
+ #include <clib/dos_protos.h>
+ #include <clib/exec_protos.h>
+ #include <clib/intuition_protos.h>
+ #include <clib/graphics_protos.h>
+ #include <clib/gadtools_protos.h>
+ #include <clib/wb_protos.h>
+ #include <clib/icon_protos.h>
+ #include <clib/diskfont_protos.h>
+ #include <clib/iffparse_protos.h>
+ #include <pragmas/ahi_pragmas.h>
+ #include <libraries/toccata.h>
+ #include <clib/toccata_protos.h>
+ #include <pragmas/toccata_pragmas.h>
+ #include <netinclude:sys/types.h>
+ #include <stdio.h>
+ #include <stdlib.h>
+ #include <string.h>
+ #include <time.h>
+ #include <exec/types.h>
+ #include <exec/io.h>
+ #include <exec/lists.h>
+ #include <exec/memory.h>
+ #include <devices/audio.h>
+ #include <libraries/dos.h>			/* contains RETURN_OK, RETURN_WARN #def's */
+ #include <dos/dos.h>
+ #include <dos/dosextens.h>
+ #include <dos/dostags.h>
+ #include <dos/var.h>
+ #include <dos/exall.h>
+ #include <graphics/gfxbase.h>		/* to determine if we are on a PAL or NTSC Amiga */
+ #include <intuition/intuition.h>
+ #include <libraries/gadtools.h>
+ #include <clib/exec_protos.h>
+ #include <clib/alib_protos.h>
+ #include <clib/dos_protos.h>
+ #include <clib/intuition_protos.h>
+ #include <clib/icon_protos.h>
+ #include <clib/gadtools_protos.h>
+ #include <clib/graphics_protos.h>
+ #include <errno.h>
+ #include <inetd.h>
+ #include <sys/types.h>
+ #include <proto/socket.h>
+ #include <sys/errno.h>
+ #include <sys/types.h>
+ #include <sys/socket.h>
+ #include <sys/ioctl.h>
+ #include <sys/syslog.h>
+ #include <netdb.h>
+ #include <pragmas/socket_pragmas.h>
+ #include <inetd.h>
+ #include <stdio.h>
+ #include <string.h>
+ #include <time.h>
+ #include <clib/asl_protos.h>
+ #include <clib/intuition_protos.h>
+ #include <libraries/asl.h>
+ #include <netinclude:sys/types.h>
+ #include <stdio.h>
+ #include <stdio.h>
+ #include <stdlib.h> 
+ #include <string.h>
+ #include <time.h>
+ #include <dos/dos.h>
+ #include <dos/dostags.h>
+ #include <dos/dosextens.h>
+ #include <dos/var.h>
+ #include <dos/exall.h>
+ #include <intuition/intuition.h>
+ #include <intuition/intuitionbase.h>
+ #include <intuition/gadgetclass.h>
+ #include <intuition/screens.h>
+ #include <libraries/gadtools.h>
+ #include <exec/ports.h>
+ #include <exec/memory.h>
+ #include <exec/types.h>
+ #include <exec/tasks.h>
+ #include <exec/io.h>
+ #include <exec/libraries.h>
+ #include <libraries/dos.h>			/* contains RETURN_OK, RETURN_WARN #def's */
+ #include <libraries/gadtools.h>
+ #include <clib/alib_protos.h>
+ #include <clib/dos_protos.h>
+ #include <clib/exec_protos.h>
+ #include <clib/intuition_protos.h>
+ #include <clib/graphics_protos.h>
+ #include <clib/gadtools_protos.h>
+ #include <clib/diskfont_protos.h>
+ #include <time.h>
+ #include <stdlib.h>
+ #include <stdio.h>
+ #include <string.h>
+ #include <math.h>
+ #include <exec/io.h>
+ #include <exec/types.h>
+ #include <exec/memory.h>
+ #include <exec/tasks.h>
+ #include <exec/interrupts.h>
+ #include <exec/ports.h>
+ #include <exec/lists.h>
+ #include <hardware/cia.h>
+ #include <hardware/intbits.h>
+ #include <libraries/mathieeesp.h>
+ #include <clib/mathieeedoubbas_protos.h>
+ #include <resources/cia.h>
+ #include <libraries/dos.h>
+ #include <resources/misc.h>
+ #include <utility/tagitem.h>
+ #include <pragmas/ahi_pragmas.h>
+ #include <devices/ahi.h>
+ #include <clib/alib_protos.h>
+ #include <clib/ahi_protos.h>
+ #include <clib/dos_protos.h>
+ #include <clib/cia_protos.h>
+ #include <clib/exec_protos.h>
+ #include <clib/misc_protos.h>
+ #include <libraries/toccata.h>
+ #include <clib/toccata_protos.h>
+ #include <pragmas/toccata_pragmas.h>
+ #include <netinclude:sys/types.h>
+ #include <stdio.h>
+ #include <string.h>
+ #include <stdlib.h>
+ #include <time.h>
+ #include <exec/types.h>
+ #include <exec/memory.h>
+ #include <exec/ports.h>
+ #include <devices/audio.h>
+ #include <libraries/dos.h>		/* contains RETURN_OK, RETURN_WARN #def's */
+ #include <graphics/gfxbase.h>		/* to determine if we are on a PAL or NTSC Amiga */
+ #include <clib/intuition_protos.h>
+ #include <clib/alib_protos.h>
+ #include <clib/exec_protos.h>
+ #include <clib/dos_protos.h>
+ #include <clib/socket_protos.h>
+ #include <pragmas/socket_pragmas.h>
+ #include <stdio.h>
+ #include <exec/types.h>
+ #include <hardware/cia.h>
+ #include <netinclude:sys/types.h>
+ #include <stdio.h>
+ #include <stdlib.h> 
+ #include <string.h>
+ #include <dos/dos.h>
+ #include <dos/dostags.h>
+ #include <devices/audio.h>
+ #include <intuition/intuition.h>
+ #include <intuition/intuitionbase.h>
+ #include <intuition/gadgetclass.h>
+ #include <intuition/screens.h>
+ #include <libraries/gadtools.h>
+ #include <dos/dosextens.h>
+ #include <exec/ports.h>
+ #include <exec/memory.h>
+ #include <exec/types.h>
+ #include <exec/tasks.h>
+ #include <exec/io.h>
+ #include <exec/libraries.h>
+ #include <libraries/dos.h>			/* contains RETURN_OK, RETURN_WARN #def's */
+ #include <graphics/gfxbase.h>
+ #include <libraries/gadtools.h>
+ #include <libraries/iffparse.h>
+ #include <errno.h>
+ #include <inetd.h>
+ #include <sys/errno.h>
+ #include <clib/alib_protos.h>
+ #include <clib/dos_protos.h>
+ #include <clib/exec_protos.h>
+ #include <clib/iffparse_protos.h>
+ #include <clib/intuition_protos.h>
+ #include <clib/graphics_protos.h>
+ #include <clib/gadtools_protos.h>
+ #include <clib/diskfont_protos.h>
+ #include <clib/iffparse_protos.h>
+ #include <libraries/toccata.h>
+ #include <clib/toccata_protos.h>
+ #include <pragmas/toccata_pragmas.h>
+ #include <exec/types.h>
+ #include <exec/memory.h>
+ #include <dos/dos.h>
+ #include <rexx/storage.h>
+ #include <rexx/rxslib.h>
+ #include <dos/exall.h>
+ #include <graphics/graphint.h>
+ #include <intuition/classes.h>
+ #include <devices/keymap.h>
+ #include <exec/semaphores.h>
+ #include <clib/alib_protos.h>
+ #include <clib/exec_protos.h>
+ #include <clib/dos_protos.h>
+ #include <clib/rexxsyslib_protos.h>
+ #include <pragmas/exec_pragmas.h>
+ #include <pragmas/dos_pragmas.h>
+ #include <pragmas/rexxsyslib_pragmas.h>
+ #include <stdlib.h>
+ #include <stdio.h>
+ #include <string.h>
+ #include <ctype.h>
+ #include <dos/rdargs.h>
+ #include <exec/types.h>
+ #include <dos/dos.h>
+ #include <rexx/storage.h>
+ #include <exec/types.h>
+ #include <exec/memory.h>
+ #include <dos/dos.h>
+ #include <rexx/storage.h>
+ #include <rexx/rxslib.h>
+ #include <dos/exall.h>
+ #include <graphics/graphint.h>
+ #include <intuition/classes.h>
+ #include <devices/keymap.h>
+ #include <exec/semaphores.h>
+ #include <clib/alib_protos.h>
+ #include <clib/exec_protos.h>
+ #include <clib/dos_protos.h>
+ #include <clib/rexxsyslib_protos.h>
+ #include <pragmas/exec_pragmas.h>
+ #include <pragmas/dos_pragmas.h>
+ #include <pragmas/rexxsyslib_pragmas.h>
+ #include <stdlib.h>
+ #include <stdio.h>
+ #include <string.h>
+ #include <ctype.h>
+ #include <netinclude:sys/types.h>
+ #include <stdio.h>
+ #include <stdlib.h>
+ #include <errno.h>
+ #include <string.h>
+ #include <time.h>
+ #include <exec/types.h>
+ #include <exec/memory.h>
+ #include <libraries/dos.h>			/* contains RETURN_OK, RETURN_WARN #def's */
+ #include <dos/dosextens.h>
+ #include <dos/var.h>
+ #include <clib/exec_protos.h>
+ #include <clib/intuition_protos.h>
+ #include <clib/dos_protos.h>
+ #include <intuition/intuition.h>
+ #include <graphics/gfxbase.h>
+ #include <proto/socket.h>
+ #include <sys/errno.h>
+ #include <sys/socket.h>
+ #include <sys/ioctl.h>
+ #include <sys/syslog.h>
+ #include <netdb.h>
+ #include <amitcp/socketbasetags.h>
+ #include <pragmas/socket_pragmas.h>
+ #include <inetd.h>
+ #include <stdio.h>
+ #include <stdlib.h>
+ #include <exec/types.h>
+ #include <proto/dos.h>
+ #include <proto/exec.h>
+ #include <proto/intuition.h>
+ #include <libraries/dos.h>
+ #include <intuition/intuition.h>
+ #include <exec/io.h>
+ #include <exec/memory.h>
+ #include <string.h>
+ #include <time.h>
+ #include <hardware/dmabits.h>
+ #include <hardware/intbits.h>
+ #include <hardware/custom.h>
+ #include <hardware/cia.h>
+ #include <devices/audio.h>
+ #include <resources/misc.h>
+ #include <dos/dosextens.h>
+ #include <exec/execbase.h>
+ #include <exec/memory.h>
+ #include <clib/exec_protos.h>
+ #include <clib/misc_protos.h>
+ #include <clib/dos_protos.h>
+ #include <clib/alib_protos.h>
+ #include <pragmas/exec_pragmas.h>
+ #include <pragmas/misc_pragmas.h>
+ #include <stdio.h>
+ #include <time.h>
+ #include <intuition/intuition.h>
+ #include <intuition/intuitionbase.h>
+ #include <intuition/screens.h>
+ #include <intuition/gadgetclass.h>
+ #include <libraries/gadtools.h>
+ #include <exec/types.h>
+ #include <exec/libraries.h>
+ #include <libraries/dos.h>			/* contains RETURN_OK, RETURN_WARN #def's */
+ #include <clib/exec_protos.h>
+ #include <clib/intuition_protos.h>
+ #include <clib/gadtools_protos.h>
+ #include <string.h>
+ #include <errno.h>
+ #include <libraries/gadtools.h>
+ #include <stdio.h>
+ #include <string.h>
+ #include <netinclude:sys/types.h>
+ #include <exec/types.h>
+ #include <exec/lists.h>
+ #include <exec/memory.h>
+ #include <clib/exec_protos.h>
+ #include <clib/alib_protos.h>
+ /* #include <errno.h> */
+ #include <inetd.h>
+ #include <sys/types.h>
+ #include <proto/socket.h>
+ #include <sys/errno.h>
+ #include <sys/types.h>
+ #include <sys/socket.h>
+ #include <sys/ioctl.h>
+ #include <sys/syslog.h>
+ #include <pragmas/socket_pragmas.h>
+ #include <CompilerSpecific.h>
+ #include <CompilerSpecific.h>
+ #include <exec/ports.h>
+ #include <CompilerSpecific.h>
+ #include <time.h>
+ #include <stdio.h>
+ #include <intuition/intuition.h>
+ #include <intuition/intuitionbase.h>
+ #include <intuition/gadgetclass.h>
+ #include <clib/intuition_protos.h>
Only in ../AmiPhone_1.92: include
diff -r -C 2 -P ../AmiPhone_1.92/listen.c ./listen.c
*** ../AmiPhone_1.92/listen.c	Sat Nov 16 23:46:42 1996
--- ./listen.c	Sun Feb 15 23:04:29 1998
***************
*** 1,2 ****
--- 1,3 ----
+ /* :ts=4 */
  
  #include <stdio.h>
diff -r -C 2 -P ../AmiPhone_1.92/menuconstants.h ./menuconstants.h
*** ../AmiPhone_1.92/menuconstants.h	Sat Nov 16 23:46:42 1996
--- ./menuconstants.h	Mon Feb 16 04:01:41 1998
***************
*** 2,32 ****
  /* menu constants */
  
! #define P_ABOUT		100
! #define P_QUIT		110
  
! #define T_CONNECT	200
  #define T_CONNECTTO     210
! #define T_DISCONNECT	220
  #define T_SHOWDAEMON    221
  
! #define M_MESSAGES	300
  #define M_PLAYFILE      301
  #define M_RECORDMEMO    302
  
! #define	S_DSS8		400
! #define	S_PERFECTSOUND  401
! #define	S_AMAS          402
! #define	S_TOCCATA       403
! #define	S_SOMAGIC       404
! #define	S_AURA		405
! #define S_AHI		406
! #define S_DELFINA	407
! #define S_CUSTOM	408
! #define	S_GENERIC	409
! #define S_ADPCM2	410
! #define S_ADPCM3	411
! #define S_NOCOMP	412
! #define S_TOGGLE	413
! #define S_HOLD		414
  #define S_RAISELINEGAIN 415
  #define S_LOWERLINEGAIN 416
--- 2,32 ----
  /* menu constants */
  
! #define P_ABOUT         100
! #define P_QUIT          110
  
! #define T_CONNECT       200
  #define T_CONNECTTO     210
! #define T_DISCONNECT    220
  #define T_SHOWDAEMON    221
  
! #define M_MESSAGES      300
  #define M_PLAYFILE      301
  #define M_RECORDMEMO    302
  
! #define S_DSS8          400
! #define S_PERFECTSOUND  401
! #define S_AMAS          402
! #define S_TOCCATA       403
! #define S_SOMAGIC       404
! #define S_AURA          405
! #define S_AHI           406
! #define S_CUSTOM        407
! #define S_GENERIC       408
! #define S_AHIMODE       409
! #define S_ADPCM2        410
! #define S_ADPCM3        411
! #define S_NOCOMP        412
! #define S_TOGGLE        413
! #define S_HOLD          414
  #define S_RAISELINEGAIN 415
  #define S_LOWERLINEGAIN 416
***************
*** 34,50 ****
  #define S_ZEROMICGAIN   418
  #define S_AMPONE        419
! #define S_AMPTWO	420
! #define S_AMPFOUR	421
  #define S_LEFTCHANNEL   422
  #define S_RIGHTCHANNEL  423
! #define S_INPUTMIC      424
! #define S_INPUTEXT      425
! #define S_ENABLEONCONN  426
! #define S_XMITONPLAY    427
! #define S_TCPBATCHXMIT  428
  
  
  /* slider id's */
! #define FREQ_SLIDER	(1)
! #define VOLUME_SLIDER	(2)
! #define DELAY_SLIDER	(3)
--- 34,58 ----
  #define S_ZEROMICGAIN   418
  #define S_AMPONE        419
! #define S_AMPTWO        420
! #define S_AMPFOUR       421
  #define S_LEFTCHANNEL   422
  #define S_RIGHTCHANNEL  423
! #define S_INPUTSRC0     424
! #define S_INPUTSRC1     425
! #define S_INPUTSRC2     426
! #define S_INPUTSRC3     427
! #define S_INPUTSRC4     428
! #define S_INPUTSRC5     429
! #define S_INPUTSRC6     430
! #define S_INPUTSRC7     431
! #define S_INPUTSRC8     432
! #define S_INPUTSRC9     433
! #define S_ENABLEONCONN  434
! #define S_XMITONPLAY    435
! #define S_TCPBATCHXMIT  436
  
  
  /* slider id's */
! #define FREQ_SLIDER     (1)
! #define VOLUME_SLIDER   (2)
! #define DELAY_SLIDER    (3)
diff -r -C 2 -P ../AmiPhone_1.92/messages.c ./messages.c
*** ../AmiPhone_1.92/messages.c	Sat Nov 16 23:46:42 1996
--- ./messages.c	Mon Feb 16 01:09:14 1998
***************
*** 1,6 ****
--- 1,8 ----
  /* AmiPhone!  by Jeremy Friesner - jfriesne@ucsd.edu */
+ /* :ts=4 */
  
  #define INTUI_V36_NAMES_ONLY
  
+ #include <netinclude:sys/types.h>
  #include <stdio.h>
  #include <stdlib.h> 
***************
*** 26,34 ****
  #include <libraries/gadtools.h>
  #include <libraries/iffparse.h>
- #include <sys/types.h>
  
  #include <errno.h>
  #include <inetd.h>
  
  #include <clib/alib_protos.h>
  #include <clib/dos_protos.h>
--- 28,37 ----
  #include <libraries/gadtools.h>
  #include <libraries/iffparse.h>
  
  #include <errno.h>
  #include <inetd.h>
  
+ #include <sys/errno.h>
+ 
  #include <clib/alib_protos.h>
  #include <clib/dos_protos.h>
***************
*** 41,47 ****
  #include <clib/iffparse_protos.h>
  
! #include "toccata/include/libraries/toccata.h"
! #include "toccata/include/clib/toccata_protos.h"
! #include "toccata/include/pragmas/toccata_pragmas.h"
  
  #include "AmiPhone.h"
--- 44,50 ----
  #include <clib/iffparse_protos.h>
  
! #include <libraries/toccata.h>
! #include <clib/toccata_protos.h>
! #include <pragmas/toccata_pragmas.h>
  
  #include "AmiPhone.h"
***************
*** 95,99 ****
  struct AmiPhonePacketHeader * TransferPacket;
  
! __geta4 void SoundPlayerMain(void);
  
  /* private vars */
--- 98,102 ----
  struct AmiPhonePacketHeader * TransferPacket;
  
! SAVEDS void SoundPlayerMain(void);
  
  /* private vars */
***************
*** 142,146 ****
  /* This tasks opens a file requester and if a file is selected, sends
     a MESSAGE_PLAY_FILE to the SoundPort. */
! __geta4 void FileReqMain(void)
  {
  	char szFile[300];
--- 145,149 ----
  /* This tasks opens a file requester and if a file is selected, sends
     a MESSAGE_PLAY_FILE to the SoundPort. */
! SAVEDS void FileReqMain(void)
  {
  	char szFile[300];
***************
*** 198,202 ****
     process to play the given sound, and may be stopped by sending it
     a control-C or a MESSAGE_DIE */
! __geta4 void SoundPlayerMain(void)
  {
  	char szBuf[5] = "\0\0\0\0\0";
--- 201,205 ----
     process to play the given sound, and may be stopped by sending it
     a control-C or a MESSAGE_DIE */
! SAVEDS void SoundPlayerMain(void)
  {
  	char szBuf[5] = "\0\0\0\0\0";
diff -r -C 2 -P ../AmiPhone_1.92/phonerexx.arb ./phonerexx.arb
*** ../AmiPhone_1.92/phonerexx.arb	Sat Nov 16 23:46:40 1996
--- ./phonerexx.arb	Sun Feb 15 23:32:01 1998
***************
*** 1,8 ****
  ARB
! $1 831931909 27
  AmiPhone
  0
  BROWSER
! $1 24 N
  $2 N
  SHOW/S
--- 1,8 ----
  ARB
! $1 831931909 28
  AmiPhone
  0
  BROWSER
! $1 24 O
  $2 N
  SHOW/S
***************
*** 11,15 ****
  -
  CONNECT
! $1 2 N
  $2 N
  HOSTNAME
--- 11,15 ----
  -
  CONNECT
! $1 2 O
  $2 N
  HOSTNAME
***************
*** 19,23 ****
  -
  CONNECTTO
! $1 4 N
  $2 N
  ENTRY/N
--- 19,23 ----
  -
  CONNECTTO
! $1 4 O
  $2 N
  ENTRY/N
***************
*** 27,31 ****
  -
  DAEMON
! $1 25 N
  $2 N
  SHOW/S
--- 27,31 ----
  -
  DAEMON
! $1 25 O
  $2 N
  SHOW/S
***************
*** 34,53 ****
  -
  DISABLE
! $1 22 N
  $2 N
  -
  -
  DISCONNECT
! $1 3 N
  $2 N
  -
  -
  ENABLE
! $1 21 N
  $2 N
  -
  -
  GETSTATE
! $1 23 N
  $2 N
  -
--- 34,53 ----
  -
  DISABLE
! $1 22 O
  $2 N
  -
  -
  DISCONNECT
! $1 3 O
  $2 N
  -
  -
  ENABLE
! $1 21 O
  $2 N
  -
  -
  GETSTATE
! $1 23 O
  $2 N
  -
***************
*** 78,82 ****
  -
  MEMO
! $1 6 N
  $2 N
  START/S
--- 78,82 ----
  -
  MEMO
! $1 6 O
  $2 N
  START/S
***************
*** 86,90 ****
  -
  PLAYFILE
! $1 5 N
  $2 N
  FILENAME
--- 86,90 ----
  -
  PLAYFILE
! $1 5 O
  $2 N
  FILENAME
***************
*** 94,103 ****
  -
  QUIT
! $1 1 N
  $2 N
  -
  -
  SETCOMPRESSION
! $1 8 N
  $2 N
  ADPCM2/S
--- 94,109 ----
  -
  QUIT
! $1 1 O
  $2 N
  -
  -
+ SETAHIMODE
+ $1 27 O
+ $2 N
+ MODE/N
+ -
+ -
  SETCOMPRESSION
! $1 8 O
  $2 N
  ADPCM2/S
***************
*** 107,111 ****
  -
  SETENABLEONCONNECT
! $1 14 N
  $2 N
  ON/S
--- 113,117 ----
  -
  SETENABLEONCONNECT
! $1 14 O
  $2 N
  ON/S
***************
*** 114,118 ****
  -
  SETINPUTAMPLIFY
! $1 11 N
  $2 N
  MULTIPLIER/N
--- 120,124 ----
  -
  SETINPUTAMPLIFY
! $1 11 O
  $2 N
  MULTIPLIER/N
***************
*** 120,124 ****
  -
  SETINPUTCHANNEL
! $1 12 N
  $2 N
  LEFT/S
--- 126,130 ----
  -
  SETINPUTCHANNEL
! $1 12 O
  $2 N
  LEFT/S
***************
*** 127,131 ****
  -
  SETINPUTGAIN
! $1 10 N
  $2 N
  GAIN/N
--- 133,137 ----
  -
  SETINPUTGAIN
! $1 10 O
  $2 N
  GAIN/N
***************
*** 134,145 ****
  -
  SETINPUTSOURCE
! $1 15 N
  $2 N
  MIC/S
  LINE/S
  -
  -
  SETSAMPLER
! $1 7 N
  $2 N
  DSS8/S
--- 140,152 ----
  -
  SETINPUTSOURCE
! $1 15 O
  $2 N
  MIC/S
  LINE/S
+ AHIINPUT/N
  -
  -
  SETSAMPLER
! $1 7 O
  $2 N
  DSS8/S
***************
*** 155,159 ****
  -
  SETSAMPLERATE
! $1 18 N
  $2 N
  RATE/N
--- 162,166 ----
  -
  SETSAMPLERATE
! $1 18 O
  $2 N
  RATE/N
***************
*** 161,165 ****
  -
  SETTCPBATCHXMIT
! $1 17 N
  $2 N
  ON/S
--- 168,172 ----
  -
  SETTCPBATCHXMIT
! $1 17 O
  $2 N
  ON/S
***************
*** 168,172 ****
  -
  SETTHRESHVOL
! $1 20 N
  $2 N
  THRESHOLD/N
--- 175,179 ----
  -
  SETTHRESHVOL
! $1 20 O
  $2 N
  THRESHOLD/N
***************
*** 174,178 ****
  -
  SETXMITDELAY
! $1 19 N
  $2 N
  MILLISECONDS/N
--- 181,185 ----
  -
  SETXMITDELAY
! $1 19 O
  $2 N
  MILLISECONDS/N
***************
*** 180,184 ****
  -
  SETXMITENABLE
! $1 9 N
  $2 N
  HOLD/S
--- 187,191 ----
  -
  SETXMITENABLE
! $1 9 O
  $2 N
  HOLD/S
***************
*** 187,191 ****
  -
  SETXMITONPLAY
! $1 16 N
  $2 N
  ON/S
--- 194,198 ----
  -
  SETXMITONPLAY
! $1 16 O
  $2 N
  ON/S
***************
*** 194,198 ****
  -
  ZOOM
! $1 26 N
  $2 N
  BIG/S
--- 201,205 ----
  -
  ZOOM
! $1 26 O
  $2 N
  BIG/S
diff -r -C 2 -P ../AmiPhone_1.92/phonerexx.c ./phonerexx.c
*** ../AmiPhone_1.92/phonerexx.c	Sat Nov 16 23:46:42 1996
--- ./phonerexx.c	Mon Feb 16 00:21:08 1998
***************
*** 26,35 ****
  #ifndef __NO_PRAGMAS
  
- #ifdef AZTEC_C
- #include <pragmas/exec_lib.h>
- #include <pragmas/dos_lib.h>
- #include <pragmas/rexxsyslib_lib.h>
- #endif
- 
  #ifdef LATTICE
  #include <pragmas/exec_pragmas.h>
--- 26,29 ----
***************
*** 58,63 ****
  #endif
  
  #define inline
! 
  
  #include <dos/rdargs.h>
--- 52,58 ----
  #endif
  
+ #ifdef AZTEC_C
  #define inline
! #endif
  
  #include <dos/rdargs.h>
diff -r -C 2 -P ../AmiPhone_1.92/phonerexx.h ./phonerexx.h
*** ../AmiPhone_1.92/phonerexx.h	Sat Nov 16 23:46:42 1996
--- ./phonerexx.h	Mon Feb 16 00:22:28 1998
***************
*** 203,206 ****
--- 203,216 ----
  void rx_quit( struct RexxHost *, struct rxd_quit **, long, struct RexxMsg * );
  
+ struct rxd_setahimode
+ {
+ 	long rc, rc2;
+ 	struct {
+ 		long *mode;
+ 	} arg;
+ };
+ 
+ void rx_setahimode( struct RexxHost *, struct rxd_setahimode **, long, struct RexxMsg * );
+ 
  struct rxd_setcompression
  {
***************
*** 264,267 ****
--- 274,278 ----
  		long mic;
  		long line;
+ 		long *ahiinput;
  	} arg;
  };
diff -r -C 2 -P ../AmiPhone_1.92/phonerexx_rxcl.c ./phonerexx_rxcl.c
*** ../AmiPhone_1.92/phonerexx_rxcl.c	Sat Nov 16 23:46:42 1996
--- ./phonerexx_rxcl.c	Mon Feb 16 00:22:17 1998
***************
*** 29,32 ****
--- 29,33 ----
  	{ "PLAYFILE", "FILENAME,RATE/N,PROMPT/S", NULL, 0, (void (*)(struct RexxHost *,void **,long,struct RexxMsg *)) rx_playfile, 1 },
  	{ "QUIT", NULL, NULL, 0, (void (*)(struct RexxHost *,void **,long,struct RexxMsg *)) rx_quit, 1 },
+ 	{ "SETAHIMODE", "MODE/N", NULL, 0, (void (*)(struct RexxHost *,void **,long,struct RexxMsg *)) rx_setahimode, 1 },
  	{ "SETCOMPRESSION", "ADPCM2/S,ADPCM3/S,NONE/S", NULL, 0, (void (*)(struct RexxHost *,void **,long,struct RexxMsg *)) rx_setcompression, 1 },
  	{ "SETENABLEONCONNECT", "ON/S,OFF/S", NULL, 0, (void (*)(struct RexxHost *,void **,long,struct RexxMsg *)) rx_setenableonconnect, 1 },
***************
*** 34,38 ****
  	{ "SETINPUTCHANNEL", "LEFT/S,RIGHT/S", NULL, 0, (void (*)(struct RexxHost *,void **,long,struct RexxMsg *)) rx_setinputchannel, 1 },
  	{ "SETINPUTGAIN", "GAIN/N,RELATIVE/S", NULL, 0, (void (*)(struct RexxHost *,void **,long,struct RexxMsg *)) rx_setinputgain, 1 },
! 	{ "SETINPUTSOURCE", "MIC/S,LINE/S", NULL, 0, (void (*)(struct RexxHost *,void **,long,struct RexxMsg *)) rx_setinputsource, 1 },
  	{ "SETSAMPLER", "DSS8/S,PERFECTSOUND/S,AMAS/S,SOUNDMAGIC/S,TOCCATA/S,AURA/S,AHI/S,CUSTOM/S,GENERIC/S", NULL, 0, (void (*)(struct RexxHost *,void **,long,struct RexxMsg *)) rx_setsampler, 1 },
  	{ "SETSAMPLERATE", "RATE/N", NULL, 0, (void (*)(struct RexxHost *,void **,long,struct RexxMsg *)) rx_setsamplerate, 1 },
--- 35,39 ----
  	{ "SETINPUTCHANNEL", "LEFT/S,RIGHT/S", NULL, 0, (void (*)(struct RexxHost *,void **,long,struct RexxMsg *)) rx_setinputchannel, 1 },
  	{ "SETINPUTGAIN", "GAIN/N,RELATIVE/S", NULL, 0, (void (*)(struct RexxHost *,void **,long,struct RexxMsg *)) rx_setinputgain, 1 },
! 	{ "SETINPUTSOURCE", "MIC/S,LINE/S,AHIINPUT/N", NULL, 0, (void (*)(struct RexxHost *,void **,long,struct RexxMsg *)) rx_setinputsource, 1 },
  	{ "SETSAMPLER", "DSS8/S,PERFECTSOUND/S,AMAS/S,SOUNDMAGIC/S,TOCCATA/S,AURA/S,AHI/S,CUSTOM/S,GENERIC/S", NULL, 0, (void (*)(struct RexxHost *,void **,long,struct RexxMsg *)) rx_setsampler, 1 },
  	{ "SETSAMPLERATE", "RATE/N", NULL, 0, (void (*)(struct RexxHost *,void **,long,struct RexxMsg *)) rx_setsamplerate, 1 },
***************
*** 46,58 ****
  };
  
! int		command_cnt = 25;
  
  static struct arb_p_link link0[] = {
! 	{"ZOOM", 1}, {"SET", 2}, {"QUIT", 19}, {"PLAYFILE", 20}, {"MEMO", 21}, {"GETSTATE", 22},
! 	{"ENABLE", 23}, {"D", 24}, {"CONNECT", 29}, {"BROWSER", 31}, {NULL, 0} };
  
  static struct arb_p_link link2[] = {
  	{"XMIT", 3}, {"T", 7}, {"SAMPLER", 10}, {"INPUT", 12}, {"ENABLEONCONNECT", 17}, {"COMPRESSION", 18},
! 	{NULL, 0} };
  
  static struct arb_p_link link3[] = {
--- 47,59 ----
  };
  
! int		command_cnt = 26;
  
  static struct arb_p_link link0[] = {
! 	{"ZOOM", 1}, {"SET", 2}, {"QUIT", 20}, {"PLAYFILE", 21}, {"MEMO", 22}, {"GETSTATE", 23},
! 	{"ENABLE", 24}, {"D", 25}, {"CONNECT", 30}, {"BROWSER", 32}, {NULL, 0} };
  
  static struct arb_p_link link2[] = {
  	{"XMIT", 3}, {"T", 7}, {"SAMPLER", 10}, {"INPUT", 12}, {"ENABLEONCONNECT", 17}, {"COMPRESSION", 18},
! 	{"AHIMODE", 19}, {NULL, 0} };
  
  static struct arb_p_link link3[] = {
***************
*** 68,87 ****
  	{"SOURCE", 13}, {"GAIN", 14}, {"CHANNEL", 15}, {"AMPLIFY", 16}, {NULL, 0} };
  
- static struct arb_p_link link24[] = {
- 	{"IS", 25}, {"AEMON", 28}, {NULL, 0} };
- 
  static struct arb_p_link link25[] = {
! 	{"CONNECT", 26}, {"ABLE", 27}, {NULL, 0} };
  
! static struct arb_p_link link29[] = {
! 	{"TO", 30}, {NULL, 0} };
  
  struct arb_p_state arb_p_state[] = {
! 	{-1, link0}, {24, NULL}, {11, link2}, {21, link3}, {23, NULL},
! 	{22, NULL}, {21, NULL}, {19, link7}, {20, NULL}, {19, NULL},
! 	{17, link10}, {18, NULL}, {13, link12}, {16, NULL}, {15, NULL},
! 	{14, NULL}, {13, NULL}, {12, NULL}, {11, NULL}, {10, NULL},
! 	{9, NULL}, {8, NULL}, {7, NULL}, {6, NULL}, {3, link24},
! 	{4, link25}, {5, NULL}, {4, NULL}, {3, NULL}, {1, link29},
! 	{2, NULL}, {0, NULL}  };
  
--- 69,88 ----
  	{"SOURCE", 13}, {"GAIN", 14}, {"CHANNEL", 15}, {"AMPLIFY", 16}, {NULL, 0} };
  
  static struct arb_p_link link25[] = {
! 	{"IS", 26}, {"AEMON", 29}, {NULL, 0} };
! 
! static struct arb_p_link link26[] = {
! 	{"CONNECT", 27}, {"ABLE", 28}, {NULL, 0} };
  
! static struct arb_p_link link30[] = {
! 	{"TO", 31}, {NULL, 0} };
  
  struct arb_p_state arb_p_state[] = {
! 	{-1, link0}, {25, NULL}, {11, link2}, {22, link3}, {24, NULL},
! 	{23, NULL}, {22, NULL}, {20, link7}, {21, NULL}, {20, NULL},
! 	{18, link10}, {19, NULL}, {14, link12}, {17, NULL}, {16, NULL},
! 	{15, NULL}, {14, NULL}, {13, NULL}, {12, NULL}, {11, NULL},
! 	{10, NULL}, {9, NULL}, {8, NULL}, {7, NULL}, {6, NULL},
! 	{3, link25}, {4, link26}, {5, NULL}, {4, NULL}, {3, NULL},
! 	{1, link30}, {2, NULL}, {0, NULL}  };
  
diff -r -C 2 -P ../AmiPhone_1.92/phonerexx_rxif.c ./phonerexx_rxif.c
*** ../AmiPhone_1.92/phonerexx_rxif.c	Sat Nov 16 23:46:42 1996
--- ./phonerexx_rxif.c	Sat Feb 28 00:33:47 1998
***************
*** 3,6 ****
--- 3,7 ----
   * which is Copyright (c) 1992,1993 Michael Balzer
   */
+ /* :ts=2 */
  
  #include <exec/types.h>
***************
*** 26,35 ****
  #ifndef __NO_PRAGMAS
  
- #ifdef AZTEC_C
- #include <pragmas/exec_lib.h>
- #include <pragmas/dos_lib.h>
- #include <pragmas/rexxsyslib_lib.h>
- #endif
- 
  #ifdef LATTICE
  #include <pragmas/exec_pragmas.h>
--- 27,30 ----
***************
*** 69,72 ****
--- 64,68 ----
  extern struct RxsLib *RexxSysBase;
  
+ extern ULONG ulAHIMode;
  
  /* $ARB: I 831931909 */
***************
*** 525,530 ****
  			/* Insert your CODE here */
  			if (rd->arg.mic)  ChangeInputSource(INPUT_SOURCE_MIC, TRUE);
! 			if (rd->arg.line) ChangeInputSource(INPUT_SOURCE_EXT, TRUE);
! 			rd->rc = (rd->arg.mic || rd->arg.line);
  			break;
  		
--- 521,527 ----
  			/* Insert your CODE here */
  			if (rd->arg.mic)  ChangeInputSource(INPUT_SOURCE_MIC, TRUE);
! 			else if (rd->arg.line) ChangeInputSource(INPUT_SOURCE_EXT, TRUE);
! 			else if (rd->arg.ahiinput) ChangeInputSource(*rd->arg.ahiinput, TRUE);
! 			rd->rc = (rd->arg.mic || rd->arg.line || rd->arg.ahiinput);
  			break;
  		
***************
*** 794,801 ****
  	                rd->res.inputchannel = szResChannel;
  
! 			     if (ubInputSource == INPUT_SOURCE_MIC) strcpy(szResSource,"MIC");
! 			else if (ubInputSource == INPUT_SOURCE_EXT) strcpy(szResSource,"LINE");
! 			else strcpy(szResSource, "????");
! 	                rd->res.inputsource = szResSource;
  
  			GetSamplerType(szResSampler, ubSamplerType);
--- 791,805 ----
  	                rd->res.inputchannel = szResChannel;
  
! 			if(ubSamplerType != SAMPLER_AHI)
! 			{
! 				     if (ubInputSource == INPUT_SOURCE_MIC) strcpy(szResSource,"MIC");
! 				else if (ubInputSource == INPUT_SOURCE_EXT) strcpy(szResSource,"LINE");
! 				else strcpy(szResSource, "????");
! 			}
! 			else
! 			{
! 				sprintf(szResSource, "%d", ubInputSource);
! 			}
!       rd->res.inputsource = szResSource;
  
  			GetSamplerType(szResSampler, ubSamplerType);
***************
*** 947,950 ****
--- 951,987 ----
  }
  /* $ARB: E 26 ZOOM */
+ 
+ /* $ARB: B 27 SETAHIMODE */
+ void rx_setahimode( struct RexxHost *host, struct rxd_setahimode **rxd, long action, struct RexxMsg *rexxmsg )
+ {
+ 	struct rxd_setahimode *rd = *rxd;
+ 
+ 	switch( action )
+ 	{
+ 		case RXIF_INIT:
+ 			*rxd = AllocVec( sizeof *rd, MEMF_CLEAR );
+ 			if( rd = *rxd )
+ 			{
+ 				/* set your DEFAULTS here */
+ 			}
+ 			break;
+ 			
+ 		case RXIF_ACTION:
+ 			/* Insert your CODE here */
+ 			if (rd->arg.mode)
+ 			{
+   			ulAHIMode = *rd->arg.mode;
+ 				rd->rc = 1;
+ 			} else rd->rc = 0;
+ 			break;
+ 		
+ 		case RXIF_FREE:
+ 			/* FREE your local data here */
+ 			FreeVec( rd );
+ 			break;
+ 	}
+ 	return;
+ }
+ /* $ARB: E 27 SETAHIMODE */
  
  
diff -r -C 2 -P ../AmiPhone_1.92/phoneudp.c ./phoneudp.c
*** ../AmiPhone_1.92/phoneudp.c	Sat Nov 16 23:46:40 1996
--- ./phoneudp.c	Mon Feb 16 06:47:08 1998
***************
*** 1,4 ****
! #define DICE_C
  
  #include <stdio.h>
  #include <stdlib.h>
--- 1,5 ----
! /* :ts=4 */
  
+ #include <netinclude:sys/types.h>
  #include <stdio.h>
  #include <stdlib.h>
***************
*** 21,25 ****
  #include <proto/socket.h>
  #include <sys/errno.h>
- #include <sys/types.h>
  #include <sys/socket.h>
  #include <sys/ioctl.h>
--- 22,25 ----
***************
*** 39,43 ****
  
  /* Why does this come out as 18 unless I define it explicitely here?  Weird! */
! #define EWOULDBLOCK 35
  
  /* Prototypes for the compression/decompression asm functions! */
--- 39,43 ----
  
  /* Why does this come out as 18 unless I define it explicitely here?  Weird! */
! /* #define EWOULDBLOCK 35 */
  
  /* Prototypes for the compression/decompression asm functions! */
***************
*** 359,369 ****
  		WaitSelect(nMaxSocket+1, &fsReadSet, &fsWriteSet, NULL, NULL, &Mask);
  			
! 		if (FD_ISSET(sTCPSocket, &fsReadSet)) ProcessReply();
! 		if (FD_ISSET(sTCPSocket, &fsWriteSet)) 
  		{
! 			ulBytesSentSince += ReduceTCPQueue(0,sTCPSocket);
! 			SetWindowTitle(NULL);
! 		}
! 		
  		return(Mask);
  	}
--- 359,375 ----
  		WaitSelect(nMaxSocket+1, &fsReadSet, &fsWriteSet, NULL, NULL, &Mask);
  			
! 		if (sTCPSocket != -1)
  		{
!   	    	if (FD_ISSET(sTCPSocket, &fsReadSet)) ProcessReply();
!   	    }
! 
! 		if (sTCPSocket != -1) 
! 		{
!        	  	if (FD_ISSET(sTCPSocket, &fsWriteSet)) 
! 		    {
! 			    ulBytesSentSince += ReduceTCPQueue(0,sTCPSocket);
!   			    SetWindowTitle(NULL);
! 	      	}
! 	    }
  		return(Mask);
  	}
Only in ../AmiPhone_1.92: phoneudp.c.info
